const sms_designated_targets = {
    state: {
        targets: [],
    },
    mutations: {
        SET_TARGETS: (state, targets) => {
            state.targets = targets
        },
        CLEART_TARGETS: (state) => {
            state.targets = []
        },
    },
    actions: {
        SMSSetTargets({ commit }, targets) {
            if (targets == null || targets == undefined) {
                commit("CLEART_TARGETS")
            } else {
                commit("SET_TARGETS", targets)
            }
        },
        SMSClearTargets({ commit }) {
            commit("CLEART_TARGETS")
        },
    }
}

export default sms_designated_targets